--[[
    
***************************************************************
Roberts, The Explorer -normal mode-
v 1.0

Created by: CaptainRoberts
Date: 06/22/14

Description: 
	Play as Roberts, The Explorer!
	
	Stats:
	- Hunger: 150
	- Health: 150
	- Sanity: 175
	
	Perks:
	- Comes prepared with gear
	- Higher Sanity
		 	
Overwritten files: None

Changelog:
v1.0:
- Initial release

***************************************************************

]]

-- Fabious stats
GLOBAL.FABIOUS_HUNGER = 150
GLOBAL.FABIOUS_SANITY = 175
GLOBAL.FABIOUS_HEALTH = 150

-- Description strings
GLOBAL.STRINGS.CHARACTER_TITLES.fabious = "The Explorer"
GLOBAL.STRINGS.CHARACTER_NAMES.fabious = "Roberts"
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.fabious = "*Comes prepared with gear.\n*1.1x Speed - 1.2x Combat.\n*Calm, cool and collected 175 Sanity."
GLOBAL.STRINGS.CHARACTER_QUOTES.fabious = "\"What strange Lands will I discover?\""


-- Load assets ------------------------------------------------------------------
-- Prefabs
PrefabFiles = {
	"fabious",
}

-- Assets
Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/fabious.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/fabious.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/fabious.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/fabious.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/fabious_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/fabious_silho.xml" ),

    Asset( "IMAGE", "bigportraits/fabious.tex" ),
    Asset( "ATLAS", "bigportraits/fabious.xml" ),
	
	Asset( "IMAGE", "images/fabious.tex" ),
    Asset( "ATLAS", "images/fabious.xml" ),
}
	
-- Insert character
AddMinimapAtlas("images/fabious.xml")
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "fabious")
AddModCharacter("fabious")



-- Modifying other files ---------------------------------------------------------
-- fabious has custom Maxwell intro dialogue

local function ModMaxwellIntro(inst)
    if GLOBAL.GetPlayer().prefab == "fabious" then
        inst.components.maxwelltalker.speeches.SANDBOX_1 =
        {
            appearsound = "dontstarve/maxwell/disappear",
            voice = "dontstarve/maxwell/talk_LP",
            appearanim = "appear",
            idleanim= "idle",
            dialogpreanim = "dialog_pre",
            dialoganim="dial_loop",
            dialogpostanim = "dialog_pst",
            disappearanim = "disappear",
            disableplayer = true,
            skippable = true,
            {
                string = "Well, how did you get here?",
                wait = 3,
                anim = nil,
                sound = nil,
            },
			{
				string = "This is quite interesting.",
				wait = 3,
				anim = nil,
				sound = nil,
			},
			{
				string = "Ethier way, I doubt you'll see me again!",
				wait = 3,
				anim = nil,
				sound = nil,
			},
        }
    end
end
  
AddPrefabPostInit("maxwellintro", ModMaxwellIntro)

