local MakePlayerCharacter = require "prefabs/player_common"

STRINGS.CHARACTERS.FABIOUS = require "speech_fabious"

local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

		-- Character's custom assets
        Asset( "ANIM", "anim/fabious.zip" ),
		Asset( "IMAGE", "images/fabious.tex" ),
		Asset( "ATLAS", "images/fabious.xml" ),		
}

local prefabs = {}

local start_inv = {"compass", "axe", "fishingrod", "smallmeat_dried", "torch"};

local fn = function(inst)
	
	-- Character sounds
	inst.soundsname = "wickerbottom"

	-- Minimap icon
	inst.MiniMapEntity:SetIcon("fabious.tex")

	-- Stats
	inst.components.hunger:SetMax(FABIOUS_HUNGER)
	inst.components.health:SetMaxHealth(FABIOUS_HEALTH)
	inst.components.sanity:SetMax(FABIOUS_SANITY)

	-- Fabious combat multiplier
	inst.components.combat.damagemultiplier = 1.2
	
	-- Fabious speed
	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1.1)
	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1.1)
	
end

return MakePlayerCharacter("fabious", prefabs, assets, fn, start_inv)
